<?php
# ***** BEGIN LICENSE BLOCK *****
#
# Thème Rouge glace par franck[à]ouik.fr pour Dotclear
# Librement inspiré du thème Hermione par Kozlika - http://ateliers.klafoutis.org/
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# ***** END LICENSE BLOCK *****

# empêcher l'exécution du fichier en dehors de Dotclear
if (!defined('DC_RC_PATH')) {return;}

l10n::set(dirname(__FILE__).'/locales/'.$_lang.'/public');

$core->addBehavior('publicHeadContent','rougeglacemenu_publicHeadContent');

function rougeglacemenu_publicHeadContent($core)
{
	$style = $core->blog->settings->themes->rougeglace_menu;
	if (!preg_match('/^nomenu|simplemenu$/',$style)) {
		$style = 'nomenu';
	}

	$url = $core->blog->settings->themes_url.'/'.$core->blog->settings->theme;
	echo '<link rel="stylesheet" type="text/css" media="screen" href="'.$url."/".$style.".css\" />\n";
}

$core->addBehavior('publicHeadContent','rougeglacebreadcrumb_publicHeadContent');

function rougeglacebreadcrumb_publicHeadContent($core)
{
	$style = $core->blog->settings->themes->rougeglace_breadcrumb;
	if (!preg_match('/^yesbreadcrumb|nobreadcrumb$/',$style)) {
		$style = 'nobreadcrumb';
	}

	$url = $core->blog->settings->themes_url.'/'.$core->blog->settings->theme;
	echo '<link rel="stylesheet" type="text/css" media="screen" href="'.$url."/".$style.".css\" />\n";
}