<?php
# ***** BEGIN LICENSE BLOCK *****
#
# Thème Rouge glace par franck[à]ouik.fr pour Dotclear
# Librement inspiré du thème Hermione par Kozlika - http://ateliers.klafoutis.org/
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# ***** END LICENSE BLOCK *****
if (!defined('DC_CONTEXT_ADMIN')) { return; }

// chargement de la traduction
l10n::set(dirname(__FILE__).'/locales/'.$_lang.'/public');

// affichage du type de menu
$rougeglace_menus = array(
	__('none') => 'nomenu',
	__('simpleMenu') => 'simplemenu'
);

if (!$core->blog->settings->themes->rougeglace_menu) {
	$core->blog->settings->themes->rougeglace_menu = 'nomenu';
}

if (!empty($_POST['rougeglace_menu']) && in_array($_POST['rougeglace_menu'],$rougeglace_menus))
{
	$core->blog->settings->themes->rougeglace_menu = $_POST['rougeglace_menu'];
	$core->blog->settings->addNamespace('themes');
	$core->blog->settings->themes->put('rougeglace_menu',$core->blog->settings->themes->rougeglace_menu,'string','Menu to display',true);
	$core->blog->triggerBlog();

	dcPage::success(__('Theme configuration has been successfully updated.'));
}

echo
'<div class="fieldset"><h4>'.__('Customizations').'</h4>'.
'<p class="field"><label>'.__('Menu to display:').'</label>'.
form::combo('rougeglace_menu',$rougeglace_menus,$core->blog->settings->themes->rougeglace_menu).
'</p>';

// affichage de breadcrumb
$rougeglace_breadcrumbs = array(
	__('yes') => 'yesbreadcrumb',
	__('no') => 'nobreadcrumb'
);

if (!$core->blog->settings->themes->rougeglace_breadcrumb) {
	$core->blog->settings->themes->rougeglace_breadcrumb = 'nobreadcrumb';
}

if (!empty($_POST['rougeglace_breadcrumb']) && in_array($_POST['rougeglace_breadcrumb'],$rougeglace_breadcrumbs))
{
	$core->blog->settings->themes->rougeglace_breadcrumb = $_POST['rougeglace_breadcrumb'];
	$core->blog->settings->addNamespace('themes');
	$core->blog->settings->themes->put('rougeglace_breadcrumb',$core->blog->settings->themes->rougeglace_breadcrumb,'string','Display breadcrumb',true);
	$core->blog->triggerBlog();
}

echo
'<p class="field"><label>'.__('Display breadcrumb:').'</label>'.
form::combo('rougeglace_breadcrumb',$rougeglace_breadcrumbs,$core->blog->settings->themes->rougeglace_breadcrumb).
'</p>'.
'</div>';